# Method: projects.locations.vpnConnections.list

- [HTTP request](https://docs.cloud.google.com/distributed-cloud/connected/1.8.0/docs/reference/container/rest/v1/projects.locations.vpnConnections/list#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/distributed-cloud/connected/1.8.0/docs/reference/container/rest/v1/projects.locations.vpnConnections/list#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/distributed-cloud/connected/1.8.0/docs/reference/container/rest/v1/projects.locations.vpnConnections/list#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/distributed-cloud/connected/1.8.0/docs/reference/container/rest/v1/projects.locations.vpnConnections/list#body.request_body)
- [Response body](https://docs.cloud.google.com/distributed-cloud/connected/1.8.0/docs/reference/container/rest/v1/projects.locations.vpnConnections/list#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/distributed-cloud/connected/1.8.0/docs/reference/container/rest/v1/projects.locations.vpnConnections/list#body.ListVpnConnectionsResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/distributed-cloud/connected/1.8.0/docs/reference/container/rest/v1/projects.locations.vpnConnections/list#body.aspect)
- [Try it!](https://docs.cloud.google.com/distributed-cloud/connected/1.8.0/docs/reference/container/rest/v1/projects.locations.vpnConnections/list#try-it)

Lists VPN connections in a given project and location.

### HTTP request

`GET https://edgecontainer.googleapis.com/v1/{parent=projects/*/locations/*}/vpnConnections`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The parent location, which owns this collection of VPN connections. Authorization requires the following [IAM](https://cloud.google.com/iam/docs/) permission on the specified resource `parent`: - `edgecontainer.vpnConnections.list` |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` The maximum number of resources to list. |
| `pageToken` | `string` A page token received from previous list request. |
| `filter` | `string` Only resources matching this filter will be listed. |
| `orderBy` | `string` Specifies the order in which resources will be listed. |

### Request body

The request body must be empty.

### Response body

List of VPN connections in a location.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "vpnConnections": [ { object (`https://docs.cloud.google.com/distributed-cloud/connected/1.8.0/docs/reference/container/rest/v1/projects.locations.vpnConnections#VpnConnection`) } ], "nextPageToken": string, "unreachable": [ string ] } ``` |

| Fields ||
|---|---|
| `vpnConnections[]` | ``object (`https://docs.cloud.google.com/distributed-cloud/connected/1.8.0/docs/reference/container/rest/v1/projects.locations.vpnConnections#VpnConnection`)`` VpnConnections in the location. |
| `nextPageToken` | `string` A token to retrieve next page of results. |
| `unreachable[]` | `string` Locations that could not be reached. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).